Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate
Class InstantiationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.hibernate.HibernateException
                      org.hibernate.InstantiationException

All Implemented Interfaces:
  Serializable

    public class InstantiationException

extends HibernateException

Thrown if Hibernate can't instantiate an entity or component class at runtime.

See Also:
  Serialized Form

Constructor Summary
`InstantiationException(String s, Class clazz)`
`InstantiationException(String s, Class clazz, Exception e)`
`InstantiationException(String s, Class clazz, Throwable root)`

Method Summary
`String` | `getMessage()`
`Class` | `getPersistentClass()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InstantiationException

    public InstantiationException(String s,
                                  Class clazz,
                                  Throwable root)

### InstantiationException

    public InstantiationException(String s,
                                  Class clazz)

### InstantiationException

    public InstantiationException(String s,
                                  Class clazz,
                                  Exception e)

Method Detail

### getPersistentClass

    public Class getPersistentClass()

### getMessage

    public String getMessage()

  Overrides:
    `getMessage` in class `Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.